AMULEWEB(1)

NOMBRE
amuleweb - servidor web de aMule

SYNOPSIS
amuleweb [-h <host>] [-p <puerto>] [-P <contraseña>] [-f <localización>] [-l <lenguaje>] [-q] [-v] [-w] [-t <nombre>] [-s <puerto>] [-z] [-Z] [-A <contraseña>] [-G <contraseña>] [-a] [-d] [-L]

amuleweb [-f <localización>] --create-config-from=<localización>

amuleweb [--help] [--version]

amuleweb--amule-config-file=<localización>

DESCRIPCIÓN
amuleweb permite administrar aMule a través de un navegador. Se puede iniciar amuleweb junto con amule(1), por separado, o en cualquier momento. Sus opciones se pueden especificar por linea de comandos o mediante su archivo de configuración. Las opciones pasadas a través de la linea de comandos tienen prioridad sobre las indicadas en el archivo de configuración.

-h, --host=<host>
    Host donde aMule esta siendo ejecutado (por defecto: localhost). <host> puede ser una IP o una dirección DNS.

-p, --port=<puerto>
    El puerto abierto en aMule's para conexiones de External Connections. Puede consultarlo en Preferencias->Controles Remotos (por defecto: 4712)

-P, --password=<contraseña>
    Constraseña para External Connections

-f, --config-file=<localización>
    Usar el arhivo de configuración indicado. Por defecto, ~/.aMule/remote.conf

-l, --locale=<lang>
    Establece el lenguaje del programa. Ver la sección NOTAS para la descripción del parámetro <lenguaje>.

-q, --quiet
    No mostrar nada en la consola. Probablemente interese también el parámetro -q para ejecutar esta aplicación como demonio, Por ejemplo: 'amuleweb -q &'

-v, --verbose
    Mostrar información adicional - mostrar también información para depuración.

-w, --write-config
    Crear el archivo de configuración y salir.

--create-config-from=<localización>
    Crear el archivo de configuración basándose en <localización> y salir. <localización> debe ser un archivo de configuración de aMule.

-t, --template=<nombre>
    Cargar la piel <nombre>. Ver la sección PIELES

-s, --server-port=<puerto>
    El puerto HTTP del servidor web. Este es el puerto al que debe direccionar su navegador web (por defecto: 4711)

-z, --enable-gzip
    Emplear compresión gzip en las transferencias HTTP para reducir el ancho de banda usado.

-Z, --disable-gzip
    Deshabilitar la compresión gzip en las transferencias HTTP (esta es la opción por defecto)

-A, --admin-pass=<contraseña>
    Definir la contraseña de acceso total al servidor web.

-G, --guest-pass=<contraseña>
    Definir la contraseña de acceso al servidor web en modo "invitado".

-a, --allow-guest
    Permitir accesos al servidor web en modo "invitado".

-d, --deny-guest
    Denegar accesos al servidor web en modo "invitado" (esta es la opción por defecto)

-L, --load-settings
    Cargar/guardar la configuración de control remoto de aMule de/a la configuración de aMule. Esto hace que amuleweb ignore las parámetros que se le pasen y el archivo de configuración, en beneficio de lo que figura en la configuración de aMule. Al guardar las preferencias, ninguna se guardará en el archivo de configuraciñon del programa, sino en el de aMule. (Por supuesto, esto solo es válido para aquellas preferencias que pueden ser definidas desde Preferencias->Controles Remotos)

--amule-config-file=<localización>
    Localización del archivo de configuración de aMule. NO USAR DIRECTAMENTE! aMule usa esta opción cuando se le pide ejecutar amuelweb al iniciarse. Esto hace que amuleweb ignore las parámetros que se le pasen y el archivo de configuración, las preferencias se leerán del archivo de configuracin especificado, e implica también las opciones -q -L.

--help
    Mostrar información del modo de empleo y salir.

--version
    Mostrar la versión del programa y salir.

NOTAS

  Localizaciones
Para todas las opciones que reuieran un parámetro <localización>, si la localización no contiene el nombre de ningun directorio (por ejemplo, si es simplemente el nombre de un archivo), entonces se tomará como directorio contenedor de ese archivo el directorio de configuración de aMule, ~/.aMule.

  Lenguajes
El parámetro <lenguaje> para la opción -l tiene el siguiente formato: lenguaje[_LENGUAJE][.codificación][@modificador] donde lenguaje es el lenguaje principal, LENGUAJE es el sublenguaje/territorio, codificación es el conjunto de caracteres a usar y modificador "permite al usuario seleccionar una instancia específica de los datos ed localización dentro de una sola categoría".

Por ejemplo, los siguientes ejemplos son válidos:
fr
fr_FR
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

A pesar de que todos los ejemplos anteriores son válidos como definiciones de lenguajes, codificación y modificador siguen sin ser usados.

Además de lo especificado en el formato anterior, tambien puede especificar el nombre completo de un lenguaje en inglés - así pues, -l german también es válido y es equivalente a -l de_DE.

Si no se define ningún lenguaje, ni en los parámetros del programa ni en el archivo de configuración, se usará el predeterminado del sistema.

PIELES
amuleweb soporta diferentes pieles (aspectos de la interfaz). Puede especificar que piel debe usar amuleweb mediante la opción -t en la linea de comandos. Los templates se buscan de dos lugares: primero en ~/.aMule/webserver/ y, en caso de no encontrarlo, en $(pkgdatadir)/webserver/ ($(pkgdatadir) es el directorio donde se encuentran los datos independientes de la plataforma en su sistema, normalmente algo parecido a /usr/share/amule). Cada piel debe encontrase en un directorio con el nombre de la piel y este directorio debe contener todos los archivos que esta piel necesite. El archivo indice de la piel debe llamarse aMule.tmpl.

Por ejemplo, la piel por defecto (llamada 'default') se encuentra en webserver/default/, y este directorio contiene aMule.tmpl entre otros muchos archivos.

ARCHIVOS
~/.aMule/remote.conf
~/.aMule/webserver/
$(pkgdatadir)/webserver/

EJEMPLO
Normalmente la primera ejecución de amuleweb se hace de la siguiente manera:

amuleweb -h hostname -p ECport -P ECpassword -s HTTPport -A AdminPassword -w

o

amuleweb --create-config-from=/home/username/.aMule/amule.conf

Esto salva su configuración en $HOME/.aMule/remote.conf, de manera que en sucesivas ejecuciones bastará con:

amuleweb

Of course, you may specify any more or less options on the first example line, and you may also totally omit it.

BUGS
Si descubre bugs, por favor comuníquelos en (http://forum.amule.org/), o en nuestro bugtracker (http://bugs.amule.org/). Por favor, no comunique bugs por e-mail, ni a nuestro maillist ni directamente a ningún miembro del equipo de aMule.

COPYRIGHT
aMule, y todas las utilidades que con el vienen, se distribuyen bajo la licencia GPL.

VER
amule(1), amulecmd(1)